<!DOCTYPE html>
<html>
  <head>
  <title>Ora2Pg - Database Migration Report</title>
  <meta HTTP-EQUIV="Generator" CONTENT="Ora2Pg v20.0">
  <meta HTTP-EQUIV="Date" CONTENT="Mon Jan 24 18:38:02 2022">
  <style>
body {
	margin: 30px 0;
	padding: 0;
	background: #EFEFEF;
	font-size: 12px;
	color: #1e1e1e;
}

h1 {
	margin-bottom: 20px;
	border-bottom: 1px solid #DFDFDF;
	font-size: 22px;
	padding: 0px;
	padding-bottom: 5px;
	font-weight: bold;
	color: #0094C7;
}

h2 {
	margin-bottom: 10px;
	font-size: 18px;
	padding: 0px;
	padding-bottom: 5px;
	font-weight: bold;
	color: #0094C7;
}

#header table {
	padding: 0 5px 0 5px;
	border: 1px solid #DBDBDB;
	margin-bottom: 20px;
	margin-left: 30px;
}

#header th {
	padding: 0 5px 0 5px;
	text-decoration: none;
	font-size: 16px;
	color: #EC5800;
}

#content table {
	padding: 0 5px 0 5px;
	border: 1px solid #DBDBDB;
	margin-bottom: 20px;
	margin-left: 10px;
	margin-right: 10px;
}
#content td {
	padding: 0 5px 0 5px;
	border-bottom: 1px solid #888888;
	margin-bottom: 20px;
	text-align: left;
	vertical-align: top;
}

#content th {
	border-bottom: 1px solid #BBBBBB;
	padding: 0 5px 0 5px;
	text-decoration: none;
	font-size: 16px;
	color: #EC5800;
}

.object_name {
        font-weight: bold;
        color: #0094C7;
	text-align: left;
	white-space: pre;
}

.detail {
	white-space: pre;
}

#footer {
	margin-right: 10px;
	text-align: right;
}

#footer a {
	color: #EC5800;
}

#footer a:hover {
	text-decoration: none;
}
  </style>
</head>
<body>
<div id="header">
<h1>Ora2Pg - Database Migration Report</h1>
<table>
<tr><th>Version</th><td>Oracle Database 11g Express Edition Release 11.2.0.2.0</td></tr>
<tr><th>Schema</th><td>HR</td></tr>
<tr><th>Size</th><td>1.56 MB</td></tr>
</table>
</div>
<div id="content">
<table>
<tr><th>Object</th><th>Number</th><th>Invalid</th><th>Estimated cost</th><th>Comments</th><th>Details</th></tr>
<tr><td class="object_name">DATABASE LINK</td><td style="text-align: center;">0</td><td style="text-align: center;">0</td><td style="text-align: center;">0</td><td>Database links will be exported as SQL/MED PostgreSQL's Foreign Data Wrapper (FDW) extensions using oracle_fdw.</td><td class="detail"></td></tr>
<tr><td class="object_name">GLOBAL TEMPORARY TABLE</td><td style="text-align: center;">0</td><td style="text-align: center;">0</td><td style="text-align: center;">0</td><td>Global temporary table are not supported by PostgreSQL and will not be exported. You will have to rewrite some application code to match the PostgreSQL temporary table behavior.</td><td class="detail"></td></tr>
<tr><td class="object_name">INDEX</td><td style="text-align: center;">19</td><td style="text-align: center;">0</td><td style="text-align: center;">3</td><td>11 index(es) are concerned by the export, others are automatically generated and will do so on PostgreSQL. Bitmap will be exported as btree_gin index(es) and hash index(es) will be exported as b-tree index(es) if any. Domain index are exported as b-tree but commented to be edited to mainly use FTS. Cluster, bitmap join and IOT indexes will not be exported at all. Reverse indexes are not exported too, you may use a trigram-based index (see pg_trgm) or a reverse() function based index and search. Use 'varchar_pattern_ops', 'text_pattern_ops' or 'bpchar_pattern_ops' operators in your indexes to improve search with the LIKE operator respectively into varchar, text or char columns.</td><td class="detail">11 b-tree index(es)<br></td></tr>
<tr><td class="object_name">JOB</td><td style="text-align: center;">0</td><td style="text-align: center;">0</td><td style="text-align: center;">0</td><td>Job are not exported. You may set external cron job with them.</td><td class="detail"></td></tr>
<tr><td class="object_name">PROCEDURE</td><td style="text-align: center;">2</td><td style="text-align: center;">0</td><td style="text-align: center;">8</td><td>Total size of procedure code: 772 bytes.</td><td class="detail">add_job_history: 3<br>secure_dml: 3<br></td></tr>
<tr><td class="object_name">SEQUENCE</td><td style="text-align: center;">3</td><td style="text-align: center;">0</td><td style="text-align: center;">1</td><td>Sequences are fully supported, but all call to sequence_name.NEXTVAL or sequence_name.CURRVAL will be transformed into NEXTVAL('sequence_name') or CURRVAL('sequence_name').</td><td class="detail"></td></tr>
<tr><td class="object_name">SYNONYM</td><td style="text-align: center;">239</td><td style="text-align: center;">0</td><td style="text-align: center;">23.9</td><td>SYNONYMs will be exported as views. SYNONYMs do not exists with PostgreSQL but a common workaround is to use views or set the PostgreSQL search_path in your session to access object outside the current schema.</td><td class="detail">apex is an alias to APEX_040000.APEX<br>apexws is an alias to APEX_040000.APEXWS<br>apex_activity_log is an alias to APEX_040000.APEX_ACTIVITY_LOG<br>apex_admin is an alias to APEX_040000.APEX_ADMIN<br>apex_application is an alias to APEX_040000.APEX_APPLICATION<br>apex_applications is an alias to APEX_040000.APEX_APPLICATIONS<br>apex_application_all_auth is an alias to APEX_040000.APEX_APPLICATION_ALL_AUTH<br>apex_application_auth is an alias to APEX_040000.APEX_APPLICATION_AUTH<br>apex_application_authorization is an alias to APEX_040000.APEX_APPLICATION_AUTHORIZATION<br>apex_application_bc_entries is an alias to APEX_040000.APEX_APPLICATION_BC_ENTRIES<br>apex_application_breadcrumbs is an alias to APEX_040000.APEX_APPLICATION_BREADCRUMBS<br>apex_application_build_options is an alias to APEX_040000.APEX_APPLICATION_BUILD_OPTIONS<br>apex_application_caching is an alias to APEX_040000.APEX_APPLICATION_CACHING<br>apex_application_computations is an alias to APEX_040000.APEX_APPLICATION_COMPUTATIONS<br>apex_application_files is an alias to APEX_040000.APEX_APPLICATION_FILES<br>apex_application_global is an alias to APEX_040000.APEX_APPLICATION_GLOBAL<br>apex_application_groups is an alias to APEX_040000.APEX_APPLICATION_GROUPS<br>apex_application_install is an alias to APEX_040000.APEX_APPLICATION_INSTALL<br>apex_application_items is an alias to APEX_040000.APEX_APPLICATION_ITEMS<br>apex_application_lists is an alias to APEX_040000.APEX_APPLICATION_LISTS<br>apex_application_list_entries is an alias to APEX_040000.APEX_APPLICATION_LIST_ENTRIES<br>apex_application_lovs is an alias to APEX_040000.APEX_APPLICATION_LOVS<br>apex_application_lov_entries is an alias to APEX_040000.APEX_APPLICATION_LOV_ENTRIES<br>apex_application_nav_bar is an alias to APEX_040000.APEX_APPLICATION_NAV_BAR<br>apex_application_pages is an alias to APEX_040000.APEX_APPLICATION_PAGES<br>apex_application_page_branches is an alias to APEX_040000.APEX_APPLICATION_PAGE_BRANCHES<br>apex_application_page_buttons is an alias to APEX_040000.APEX_APPLICATION_PAGE_BUTTONS<br>apex_application_page_comp is an alias to APEX_040000.APEX_APPLICATION_PAGE_COMP<br>apex_application_page_da is an alias to APEX_040000.APEX_APPLICATION_PAGE_DA<br>apex_application_page_da_acts is an alias to APEX_040000.APEX_APPLICATION_PAGE_DA_ACTS<br>apex_application_page_db_items is an alias to APEX_040000.APEX_APPLICATION_PAGE_DB_ITEMS<br>apex_application_page_flash5 is an alias to APEX_040000.APEX_APPLICATION_PAGE_FLASH5<br>apex_application_page_flash5_s is an alias to APEX_040000.APEX_APPLICATION_PAGE_FLASH5_S<br>apex_application_page_flash_ch is an alias to APEX_040000.APEX_APPLICATION_PAGE_FLASH_CH<br>apex_application_page_flash_s is an alias to APEX_040000.APEX_APPLICATION_PAGE_FLASH_S<br>apex_application_page_groups is an alias to APEX_040000.APEX_APPLICATION_PAGE_GROUPS<br>apex_application_page_ir is an alias to APEX_040000.APEX_APPLICATION_PAGE_IR<br>apex_application_page_ir_cat is an alias to APEX_040000.APEX_APPLICATION_PAGE_IR_CAT<br>apex_application_page_ir_cgrps is an alias to APEX_040000.APEX_APPLICATION_PAGE_IR_CGRPS<br>apex_application_page_ir_col is an alias to APEX_040000.APEX_APPLICATION_PAGE_IR_COL<br>apex_application_page_ir_comp is an alias to APEX_040000.APEX_APPLICATION_PAGE_IR_COMP<br>apex_application_page_ir_cond is an alias to APEX_040000.APEX_APPLICATION_PAGE_IR_COND<br>apex_application_page_ir_grpby is an alias to APEX_040000.APEX_APPLICATION_PAGE_IR_GRPBY<br>apex_application_page_ir_rpt is an alias to APEX_040000.APEX_APPLICATION_PAGE_IR_RPT<br>apex_application_page_ir_sub is an alias to APEX_040000.APEX_APPLICATION_PAGE_IR_SUB<br>apex_application_page_items is an alias to APEX_040000.APEX_APPLICATION_PAGE_ITEMS<br>apex_application_page_map is an alias to APEX_040000.APEX_APPLICATION_PAGE_MAP<br>apex_application_page_proc is an alias to APEX_040000.APEX_APPLICATION_PAGE_PROC<br>apex_application_page_regions is an alias to APEX_040000.APEX_APPLICATION_PAGE_REGIONS<br>apex_application_page_rpt is an alias to APEX_040000.APEX_APPLICATION_PAGE_RPT<br>apex_application_page_rpt_cols is an alias to APEX_040000.APEX_APPLICATION_PAGE_RPT_COLS<br>apex_application_page_trees is an alias to APEX_040000.APEX_APPLICATION_PAGE_TREES<br>apex_application_page_val is an alias to APEX_040000.APEX_APPLICATION_PAGE_VAL<br>apex_application_parent_tabs is an alias to APEX_040000.APEX_APPLICATION_PARENT_TABS<br>apex_application_processes is an alias to APEX_040000.APEX_APPLICATION_PROCESSES<br>apex_application_shortcuts is an alias to APEX_040000.APEX_APPLICATION_SHORTCUTS<br>apex_application_substitutions is an alias to APEX_040000.APEX_APPLICATION_SUBSTITUTIONS<br>apex_application_supp_objects is an alias to APEX_040000.APEX_APPLICATION_SUPP_OBJECTS<br>apex_application_supp_obj_bopt is an alias to APEX_040000.APEX_APPLICATION_SUPP_OBJ_BOPT<br>apex_application_supp_obj_chck is an alias to APEX_040000.APEX_APPLICATION_SUPP_OBJ_CHCK<br>apex_application_supp_obj_scr is an alias to APEX_040000.APEX_APPLICATION_SUPP_OBJ_SCR<br>apex_application_tabs is an alias to APEX_040000.APEX_APPLICATION_TABS<br>apex_application_templates is an alias to APEX_040000.APEX_APPLICATION_TEMPLATES<br>apex_application_temp_bc is an alias to APEX_040000.APEX_APPLICATION_TEMP_BC<br>apex_application_temp_button is an alias to APEX_040000.APEX_APPLICATION_TEMP_BUTTON<br>apex_application_temp_calendar is an alias to APEX_040000.APEX_APPLICATION_TEMP_CALENDAR<br>apex_application_temp_label is an alias to APEX_040000.APEX_APPLICATION_TEMP_LABEL<br>apex_application_temp_list is an alias to APEX_040000.APEX_APPLICATION_TEMP_LIST<br>apex_application_temp_page is an alias to APEX_040000.APEX_APPLICATION_TEMP_PAGE<br>apex_application_temp_popuplov is an alias to APEX_040000.APEX_APPLICATION_TEMP_POPUPLOV<br>apex_application_temp_region is an alias to APEX_040000.APEX_APPLICATION_TEMP_REGION<br>apex_application_temp_report is an alias to APEX_040000.APEX_APPLICATION_TEMP_REPORT<br>apex_application_themes is an alias to APEX_040000.APEX_APPLICATION_THEMES<br>apex_application_translations is an alias to APEX_040000.APEX_APPLICATION_TRANSLATIONS<br>apex_application_trans_map is an alias to APEX_040000.APEX_APPLICATION_TRANS_MAP<br>apex_application_trees is an alias to APEX_040000.APEX_APPLICATION_TREES<br>apex_application_web_services is an alias to APEX_040000.APEX_APPLICATION_WEB_SERVICES<br>apex_appl_plugins is an alias to APEX_040000.APEX_APPL_PLUGINS<br>apex_appl_plugin_attributes is an alias to APEX_040000.APEX_APPL_PLUGIN_ATTRIBUTES<br>apex_appl_plugin_attr_values is an alias to APEX_040000.APEX_APPL_PLUGIN_ATTR_VALUES<br>apex_appl_plugin_events is an alias to APEX_040000.APEX_APPL_PLUGIN_EVENTS<br>apex_appl_plugin_files is an alias to APEX_040000.APEX_APPL_PLUGIN_FILES<br>apex_collection is an alias to APEX_040000.APEX_COLLECTION<br>apex_collections is an alias to APEX_040000.APEX_COLLECTIONS<br>apex_css is an alias to APEX_040000.APEX_CSS<br>apex_custom_auth is an alias to APEX_040000.APEX_CUSTOM_AUTH<br>apex_debug_message is an alias to APEX_040000.APEX_DEBUG_MESSAGE<br>apex_debug_messages is an alias to APEX_040000.APEX_DEBUG_MESSAGES<br>apex_developer_activity_log is an alias to APEX_040000.APEX_DEVELOPER_ACTIVITY_LOG<br>apex_dictionary is an alias to APEX_040000.APEX_DICTIONARY<br>apex_feedback_types is an alias to APEX_040000.APEX_FEEDBACK_TYPES<br>apex_instance_admin is an alias to APEX_040000.APEX_INSTANCE_ADMIN<br>apex_item is an alias to APEX_040000.APEX_ITEM<br>apex_javascript is an alias to APEX_040000.APEX_JAVASCRIPT<br>apex_lang is an alias to APEX_040000.APEX_LANG<br>apex_ldap is an alias to APEX_040000.APEX_LDAP<br>apex_login is an alias to APEX_040000.APEX_LOGIN<br>apex_mail is an alias to APEX_040000.APEX_MAIL<br>apex_mail_attachments is an alias to APEX_040000.APEX_MAIL_ATTACHMENTS<br>apex_mail_log is an alias to APEX_040000.APEX_MAIL_LOG<br>apex_mail_queue is an alias to APEX_040000.APEX_MAIL_QUEUE<br>apex_migration_acc_forms is an alias to APEX_040000.APEX_MIGRATION_ACC_FORMS<br>apex_migration_acc_projects is an alias to APEX_040000.APEX_MIGRATION_ACC_PROJECTS<br>apex_migration_acc_queries is an alias to APEX_040000.APEX_MIGRATION_ACC_QUERIES<br>apex_migration_acc_rpts is an alias to APEX_040000.APEX_MIGRATION_ACC_RPTS<br>apex_migration_acc_tables is an alias to APEX_040000.APEX_MIGRATION_ACC_TABLES<br>apex_migration_projects is an alias to APEX_040000.APEX_MIGRATION_PROJECTS<br>apex_migration_rev_forms is an alias to APEX_040000.APEX_MIGRATION_REV_FORMS<br>apex_migration_rev_queries is an alias to APEX_040000.APEX_MIGRATION_REV_QUERIES<br>apex_migration_rev_rpts is an alias to APEX_040000.APEX_MIGRATION_REV_RPTS<br>apex_migration_rev_tables is an alias to APEX_040000.APEX_MIGRATION_REV_TABLES<br>apex_mig_projects_update is an alias to APEX_040000.APEX_MIG_PROJECTS_UPDATE<br>apex_plsql_job is an alias to APEX_040000.APEX_PLSQL_JOB<br>apex_plsql_jobs is an alias to APEX_040000.APEX_PLSQL_JOBS<br>apex_plugin is an alias to APEX_040000.APEX_PLUGIN<br>apex_plugin_util is an alias to APEX_040000.APEX_PLUGIN_UTIL<br>apex_release is an alias to APEX_040000.APEX_RELEASE<br>apex_rest is an alias to APEX_040000.APEX_REST<br>apex_site_admin_privs is an alias to APEX_040000.APEX_SITE_ADMIN_PRIVS<br>apex_standard_conditions is an alias to APEX_040000.APEX_STANDARD_CONDITIONS<br>apex_team_bugs is an alias to APEX_040000.APEX_TEAM_BUGS<br>apex_team_features is an alias to APEX_040000.APEX_TEAM_FEATURES<br>apex_team_feedback is an alias to APEX_040000.APEX_TEAM_FEEDBACK<br>apex_team_feedback_followup is an alias to APEX_040000.APEX_TEAM_FEEDBACK_FOLLOWUP<br>apex_team_milestones is an alias to APEX_040000.APEX_TEAM_MILESTONES<br>apex_team_todos is an alias to APEX_040000.APEX_TEAM_TODOS<br>apex_themes is an alias to APEX_040000.APEX_THEMES<br>apex_ui_default is an alias to APEX_040000.APEX_UI_DEFAULT<br>apex_ui_defaults_attr_dict is an alias to APEX_040000.APEX_UI_DEFAULTS_ATTR_DICT<br>apex_ui_defaults_columns is an alias to APEX_040000.APEX_UI_DEFAULTS_COLUMNS<br>apex_ui_defaults_groups is an alias to APEX_040000.APEX_UI_DEFAULTS_GROUPS<br>apex_ui_defaults_lov_data is an alias to APEX_040000.APEX_UI_DEFAULTS_LOV_DATA<br>apex_ui_defaults_tables is an alias to APEX_040000.APEX_UI_DEFAULTS_TABLES<br>apex_ui_default_update is an alias to APEX_040000.APEX_UI_DEFAULT_UPDATE<br>apex_user_access_log is an alias to APEX_040000.APEX_USER_ACCESS_LOG<br>apex_util is an alias to APEX_040000.APEX_UTIL<br>apex_web_service is an alias to APEX_040000.APEX_WEB_SERVICE<br>apex_workspaces is an alias to APEX_040000.APEX_WORKSPACES<br>apex_workspace_access_log is an alias to APEX_040000.APEX_WORKSPACE_ACCESS_LOG<br>apex_workspace_activity_log is an alias to APEX_040000.APEX_WORKSPACE_ACTIVITY_LOG<br>apex_workspace_apex_users is an alias to APEX_040000.APEX_WORKSPACE_APEX_USERS<br>apex_workspace_clicks is an alias to APEX_040000.APEX_WORKSPACE_CLICKS<br>apex_workspace_developers is an alias to APEX_040000.APEX_WORKSPACE_DEVELOPERS<br>apex_workspace_files is an alias to APEX_040000.APEX_WORKSPACE_FILES<br>apex_workspace_log_archive is an alias to APEX_040000.APEX_WORKSPACE_LOG_ARCHIVE<br>apex_workspace_log_summary is an alias to APEX_040000.APEX_WORKSPACE_LOG_SUMMARY<br>apex_workspace_log_summary_usr is an alias to APEX_040000.APEX_WORKSPACE_LOG_SUMMARY_USR<br>apex_workspace_schemas is an alias to APEX_040000.APEX_WORKSPACE_SCHEMAS<br>apex_workspace_sessions is an alias to APEX_040000.APEX_WORKSPACE_SESSIONS<br>apex_workspace_sql_scripts is an alias to APEX_040000.APEX_WORKSPACE_SQL_SCRIPTS<br>apex_ws_applications is an alias to APEX_040000.APEX_WS_APPLICATIONS<br>apex_ws_app_pages is an alias to APEX_040000.APEX_WS_APP_PAGES<br>apex_ws_data_grid is an alias to APEX_040000.APEX_WS_DATA_GRID<br>apex_ws_data_grid_col is an alias to APEX_040000.APEX_WS_DATA_GRID_COL<br>development_service_home is an alias to APEX_040000.DEVELOPMENT_SERVICE_HOME<br>development_service_home_login is an alias to APEX_040000.DEVELOPMENT_SERVICE_HOME_LOGIN<br>development_service_signup is an alias to APEX_040000.DEVELOPMENT_SERVICE_SIGNUP<br>f is an alias to APEX_040000.F<br>htmldb is an alias to APEX_040000.HTMLDB<br>htmldb_activity_log is an alias to APEX_040000.HTMLDB_ACTIVITY_LOG<br>htmldb_admin is an alias to APEX_040000.HTMLDB_ADMIN<br>htmldb_application is an alias to APEX_040000.HTMLDB_APPLICATION<br>htmldb_application_files is an alias to APEX_040000.HTMLDB_APPLICATION_FILES<br>htmldb_application_global is an alias to APEX_040000.HTMLDB_APPLICATION_GLOBAL<br>htmldb_collection is an alias to APEX_040000.HTMLDB_COLLECTION<br>htmldb_collections is an alias to APEX_040000.HTMLDB_COLLECTIONS<br>htmldb_custom_auth is an alias to APEX_040000.HTMLDB_CUSTOM_AUTH<br>htmldb_item is an alias to APEX_040000.HTMLDB_ITEM<br>htmldb_lang is an alias to APEX_040000.HTMLDB_LANG<br>htmldb_ldap is an alias to APEX_040000.HTMLDB_LDAP<br>htmldb_login is an alias to APEX_040000.HTMLDB_LOGIN<br>htmldb_mail is an alias to APEX_040000.HTMLDB_MAIL<br>htmldb_mail_log is an alias to APEX_040000.HTMLDB_MAIL_LOG<br>htmldb_mail_queue is an alias to APEX_040000.HTMLDB_MAIL_QUEUE<br>htmldb_plsql_job is an alias to APEX_040000.HTMLDB_PLSQL_JOB<br>htmldb_plsql_jobs is an alias to APEX_040000.HTMLDB_PLSQL_JOBS<br>htmldb_util is an alias to APEX_040000.HTMLDB_UTIL<br>nv is an alias to APEX_040000.NV<br>p is an alias to APEX_040000.P<br>v is an alias to APEX_040000.V<br>ws is an alias to APEX_040000.WS<br>wwv_flow is an alias to APEX_040000.WWV_FLOW<br>wwv_flow_api is an alias to APEX_040000.WWV_FLOW_API<br>wwv_flow_application_install is an alias to APEX_040000.WWV_FLOW_APPLICATION_INSTALL<br>wwv_flow_audit is an alias to APEX_040000.WWV_FLOW_AUDIT<br>wwv_flow_clickthru_log is an alias to APEX_040000.WWV_FLOW_CLICKTHRU_LOG<br>wwv_flow_collection is an alias to APEX_040000.WWV_FLOW_COLLECTION<br>wwv_flow_collections is an alias to APEX_040000.WWV_FLOW_COLLECTIONS<br>wwv_flow_css is an alias to APEX_040000.WWV_FLOW_CSS<br>wwv_flow_css_api is an alias to APEX_040000.WWV_FLOW_CSS_API<br>wwv_flow_customize is an alias to APEX_040000.WWV_FLOW_CUSTOMIZE<br>wwv_flow_custom_auth is an alias to APEX_040000.WWV_FLOW_CUSTOM_AUTH<br>wwv_flow_custom_auth_ldap is an alias to APEX_040000.WWV_FLOW_CUSTOM_AUTH_LDAP<br>wwv_flow_custom_auth_std is an alias to APEX_040000.WWV_FLOW_CUSTOM_AUTH_STD<br>wwv_flow_dual100 is an alias to APEX_040000.WWV_FLOW_DUAL100<br>wwv_flow_epg_include_modules is an alias to APEX_040000.WWV_FLOW_EPG_INCLUDE_MODULES<br>wwv_flow_files is an alias to APEX_040000.WWV_FLOW_FILES<br>wwv_flow_file_mgr is an alias to APEX_040000.WWV_FLOW_FILE_MGR<br>wwv_flow_fnd_user_api is an alias to APEX_040000.WWV_FLOW_FND_USER_API<br>wwv_flow_global is an alias to APEX_040000.WWV_FLOW_GLOBAL<br>wwv_flow_group_users is an alias to APEX_040000.WWV_FLOW_GROUP_USERS<br>wwv_flow_help is an alias to APEX_040000.WWV_FLOW_HELP<br>wwv_flow_hint is an alias to APEX_040000.WWV_FLOW_HINT<br>wwv_flow_hot_http_links is an alias to APEX_040000.WWV_FLOW_HOT_HTTP_LINKS<br>wwv_flow_html_api is an alias to APEX_040000.WWV_FLOW_HTML_API<br>wwv_flow_id is an alias to APEX_040000.WWV_FLOW_ID<br>wwv_flow_image_api is an alias to APEX_040000.WWV_FLOW_IMAGE_API<br>wwv_flow_init_htp_buffer is an alias to APEX_040000.WWV_FLOW_INIT_HTP_BUFFER<br>wwv_flow_item is an alias to APEX_040000.WWV_FLOW_ITEM<br>wwv_flow_item_help is an alias to APEX_040000.WWV_FLOW_ITEM_HELP<br>wwv_flow_javascript is an alias to APEX_040000.WWV_FLOW_JAVASCRIPT<br>wwv_flow_lang is an alias to APEX_040000.WWV_FLOW_LANG<br>wwv_flow_ldap is an alias to APEX_040000.WWV_FLOW_LDAP<br>wwv_flow_lists_of_values$_v is an alias to APEX_040000.WWV_FLOW_LISTS_OF_VALUES$_V<br>wwv_flow_list_of_values_data_v is an alias to APEX_040000.WWV_FLOW_LIST_OF_VALUES_DATA_V<br>wwv_flow_lov_temp is an alias to APEX_040000.WWV_FLOW_LOV_TEMP<br>wwv_flow_mail is an alias to APEX_040000.WWV_FLOW_MAIL<br>wwv_flow_months_mon is an alias to APEX_040000.WWV_FLOW_MONTHS_MON<br>wwv_flow_months_month is an alias to APEX_040000.WWV_FLOW_MONTHS_MONTH<br>wwv_flow_plugin is an alias to APEX_040000.WWV_FLOW_PLUGIN<br>wwv_flow_plugin_util is an alias to APEX_040000.WWV_FLOW_PLUGIN_UTIL<br>wwv_flow_preferences is an alias to APEX_040000.WWV_FLOW_PREFERENCES<br>wwv_flow_random is an alias to APEX_040000.WWV_FLOW_RANDOM<br>wwv_flow_render_shortcut is an alias to APEX_040000.WWV_FLOW_RENDER_SHORTCUT<br>wwv_flow_session_seq is an alias to APEX_040000.WWV_FLOW_SESSION_SEQ<br>wwv_flow_svg is an alias to APEX_040000.WWV_FLOW_SVG<br>wwv_flow_temp_table is an alias to APEX_040000.WWV_FLOW_TEMP_TABLE<br>wwv_flow_users is an alias to APEX_040000.WWV_FLOW_USERS<br>wwv_flow_user_access_log is an alias to APEX_040000.WWV_FLOW_USER_ACCESS_LOG<br>wwv_flow_user_activity_log is an alias to APEX_040000.WWV_FLOW_USER_ACTIVITY_LOG<br>wwv_flow_user_api is an alias to APEX_040000.WWV_FLOW_USER_API<br>wwv_flow_utilities is an alias to APEX_040000.WWV_FLOW_UTILITIES<br>wwv_flow_ws_import_api is an alias to APEX_040000.WWV_FLOW_WS_IMPORT_API<br>wwv_flow_years is an alias to APEX_040000.WWV_FLOW_YEARS<br>wwv_mig_acc_load is an alias to APEX_040000.WWV_MIG_ACC_LOAD<br>wwv_render_calendar2 is an alias to APEX_040000.WWV_RENDER_CALENDAR2<br>wwv_render_chart2 is an alias to APEX_040000.WWV_RENDER_CHART2<br>wwv_seq is an alias to APEX_040000.WWV_SEQ<br>z is an alias to APEX_040000.Z<br></td></tr>
<tr><td class="object_name">TABLE</td><td style="text-align: center;">7</td><td style="text-align: center;">0</td><td style="text-align: center;">1.2</td><td> 2 check constraint(s).</td><td class="detail">Total number of rows: 215<br>Top 10 of tables sorted by number of rows:<br>employees has 107 rows<br>departments has 27 rows<br>countries has 25 rows<br>locations has 23 rows<br>jobs has 19 rows<br>job_history has 10 rows<br>regions has 4 rows<br>Top 10 of largest tables:<br></td></tr>
<tr><td class="object_name">TRIGGER</td><td style="text-align: center;">2</td><td style="text-align: center;">0</td><td style="text-align: center;">5</td><td>Total size of trigger code: 123 bytes.</td><td class="detail">update_job_history: 3<br></td></tr>
<tr><td class="object_name">VIEW</td><td style="text-align: center;">1</td><td style="text-align: center;">0</td><td style="text-align: center;">1</td><td>Views are fully supported but can use specific functions.</td><td class="detail"></td></tr>
<tr><th style="text-align: center; border-bottom: 0px; vertical-align: bottom;">Total</th><td style="text-align: center; border-bottom: 0px; vertical-align: bottom;">273</td><td style="text-align: center; border-bottom: 0px; vertical-align: bottom;">0</td><td style="text-align: center; border-bottom: 0px; vertical-align: bottom;">43.10</td><td colspan="2" style="border-bottom: 0px; vertical-align: bottom;">43.10 cost migration units means approximatively 1 man-day(s). The migration unit was set to 5 minute(s)
</td></tr>
</table>
</div>
<h2>Migration level: A-3</h2>

<ul>
<li>Migration levels:</li>
  <ul>
    <li>A - Migration that might be run automatically</li>
    <li>B - Migration with code rewrite and a human-days cost up to 5 days</li>
    <li>C - Migration with code rewrite and a human-days cost above 5 days</li>
  </ul>
<li>Technical levels:</li>
  <ul>
    <li>1 = trivial: no stored functions and no triggers</li>
    <li>2 = easy: no stored functions but with triggers, no manual rewriting</li>
    <li>3 = simple: stored functions and/or triggers, no manual rewriting</li>
    <li>4 = manual: no stored functions but with triggers or views with code rewriting</li>
    <li>5 = difficult: stored functions and/or triggers with code rewriting</li>
  </ul>
</ul>
<h2>Details of cost assessment per function</h2>
<ul>
<li>Function add_job_history total estimated cost: 3</li>
<ul>
<li>TEST => 2</li>
<li>SIZE => 1</li>
</ul>
<li>Function secure_dml total estimated cost: 3</li>
<ul>
<li>TEST => 2</li>
<li>SIZE => 1</li>
</ul>
</ul>
<h2>Details of cost assessment per trigger</h2>
<ul>
<li>Trigger update_job_history total estimated cost: 3</li>
<ul>
<li>TEST => 2</li>
<li>SIZE => 1</li>
</ul>
</ul>

<div id="footer">
Generated by <a href="http://ora2pg.darold.net/">Ora2Pg v20.0</a>
</div>
</body>
</html>
